@echo off
if %1x == x goto usage
if %1 == c: goto ok
if %1 == C: goto ok
if %1 == d: goto ok
if %1 == D: goto ok
if %1 == e: goto ok
if %1 == E: goto ok
if %1 == f: goto ok
if %1 == F: goto ok
if %1 == g: goto ok
if %1 == G: goto ok
goto usage
:ok
if exist demo.nwc goto ok2
echo 
echo Insert disk 1 and
pause
goto ok
:ok2
md %1\xeen
md %1\xeen\disk
echo Copying Files... Please Wait.
copy demo.nwc %1\xeen\demo.bat >nul
copy xeen.nwc %1\xeen\xeen.exe >nul
copy sound.nwc %1\xeen\sound.exe >nul
demo -o %1\xeen\disk >nul
:disk2
echo 
echo 
echo Insert disk 2 and
pause
if not exist demo2.exe goto disk2
echo Copying Files... Please Wait.
demo2 -o %1\xeen\disk >nul
%1
cd\xeen
echo 
sound
pause
demo
:usage
echo 
echo usage: install [drive] (i.e. install c: )
echo 
